"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirmOperation = void 0;
const process_1 = require("./process");
/**
 * @hidden
 */
const confirmOperation = async (holder) => {
    const { io, timer, plan, ctx } = holder;
    if (!ctx.autoConfirmEnabled && !(await io.confirmOperation(plan))) {
        timer.stop();
        return {
            results: [],
            message: "Cancelled",
            status: "CANCELLED",
            success: false,
            timer,
        };
    }
    return process_1.processOperation(holder);
};
exports.confirmOperation = confirmOperation;
//# sourceMappingURL=confirm.js.map